GuideLab API

Update a pickup form element

Update one or more fields of a form element. Supports partial updates. Must belong to the current lab. Lab only.

PUT
/pickup-requests/elements/{id}

Update one or more fields of a form element. Supports partial updates. Must belong to the current lab. Lab only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/pickup-requests/elements/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "element": null}
Empty
Empty
Empty
Empty
Empty